jQuery(document).ready(function($) {
	
	$('a.general').click(function() {
		$('a.paypal').removeClass('active');
		$('.fetp-paypal').hide();
		$('.fetp-general').fadeIn();
		$(this).addClass('active');
		return false;
	});
	
	$('a.paypal').click(function() {
		$('a.general').removeClass('active');
		$('.fetp-general').hide();
		$('.fetp-paypal').fadeIn();
		$(this).addClass('active');
		return false;
	});
	
	$('.fade').fadeOut(10000);
	
	$('.fetp-clean-up').live('click', function(e) {
		
		$(this).ajaxStart( function() {
			$(this).text('Working...');
		});
		
		$(this).ajaxStop( function() {
			$(this).text('Clean Up Themes Folder');
			setTimeout( function() { $('.fade, .option.cleanup').fadeOut(); }, 5000);
		});
		
		$.ajax({
			url: $(this).attr('href'),
			method: "GET",
			success: function(message) {
				if ( message == 'OK' ) {
					$('span.fade').text('Clean up complete');
				}
				
				if ( message == '0' ) {
					$('span.fade').text('No files found');
				}
				
				if ( message == 'error' ) {
					$('span.fade').text('An unknow error occured, please disable javascript and try again!');
				}
			}
		});
		
		e.preventDefault();
	});
	
	$('#fetp_submit').submit(function(e) {
		e.preventDefault();
		
		var form = $(this);
		var data = form.serialize();
		var inputs = form.find('input, select, textarea');
		var ajaxUrl = form.attr('action');
		
		$.ajax({
			url: ajaxUrl,
			type: 'POST',
			data: data,
			beforeSend: function() {
				$('.saving').toggleClass('hidden');
				inputs.prop('disabled', true);
			},
			success: function(r,t,j) {
				$('.saving').addClass('saved');
				$('.saving').text('Options saved');
				setTimeout( function() { $('.saving').toggleClass('hidden'); }, 3000);
				setTimeout( function() { $('.saving').removeClass('saved'); $('.saving').text('Saving Options...'); }, 4000);
				inputs.prop('disabled', false);
			},
			error: function(r,t,j) {
				$('.saving').toggleClass('hidden');
				inputs.prop('disabled', false);
				console.log(j);
				alert('An error occured when trying to save your data: "'+j+'". Please disable javascript and try again.');
			}
		});
		
	});
	
});

function fetpCheckAll( id, pID, checkclass ) {
	jQuery("#"+pID).find(':checkbox').each(function() {
		jQuery('.'+checkclass).attr('checked', jQuery('#'+ id).is(':checked'));
	});
}